import MysqlClient from './MysqlClient';
import PostgresClient from './PostgresClient';
export default function getDatabaseClient(settings) {
    switch (settings.adapter) {
        case 'mysql': return new MysqlClient(settings);
        case 'postgresql': return new PostgresClient(settings);
        default: throw new Error(`not support ${settings.adapter}`);
    }
}
//# sourceMappingURL=getDatabaseClient.js.map